Skip to main content
GET
/
v0
/
reporting
/
datasources
/
{id}
/
columns
Get columns for a datasource
curl --request GET \
  --url https://api.avidoai.com/v0/reporting/datasources/{id}/columns \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>'
{ "data": { "datasource": "task", "columns": [ { "id": "id", "name": "Task ID", "type": "string" }, { "id": "createdAt", "name": "Created Date", "type": "date" }, { "id": "title", "name": "Title", "type": "string" }, { "id": "description", "name": "Description", "type": "string" }, { "id": "type", "name": "Task Type", "type": "string" }, { "id": "topicId", "name": "Topic", "type": "string" }, { "id": "lastTest", "name": "Last Test Date", "type": "date" } ], "isOrgLevel": false } }

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Path Parameters

id
enum<string>
required

Datasource name

Available options:
task,
test,
eval,
topic,
tag
Example:

"task"

Response

Successfully retrieved datasource column metadata

Response containing datasource column metadata

data
ReportingDatasourceMetadata · object
required

Metadata about a reporting datasource